//
// Copyright (C) 2008-2009 Reto Gantenbein
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see http://www.gnu.org/licenses/.
//

#ifndef __RAWETHERFRAME_H__
#define __RAWETHERFRAME_H__

#include <linux/if_ether.h>				// for ETH_ALEN
#include <Ieee802Ctrl_m.h>
#include <MACAddress.h>
#include "RAWEtherFrame_m.h"

class RAWEtherFrame: public RAWEtherFrame_Base {
public:
	// Constructors
	RAWEtherFrame(const char *name=NULL, int kind=0);
	RAWEtherFrame(const RAWEtherFrame& other);

	// Operators
	RAWEtherFrame& operator=(const RAWEtherFrame& other);

	// Duplicate this frame
	virtual RAWEtherFrame *dup() const {return new RAWEtherFrame(*this);}

	// Custom methods
	virtual void setDest();
};

#endif /* __RAWETHERFRAME_H__ */
